コンテンツへスキップ

SeedVR2 · Image

統合

モデルID seedvr/upscale/image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/seedvr/upscale/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.005 5 APIクレジット · ≈ ₽0.53 実行前にファイルを計測します このページで実行

APIキーを取得
ByteDance アップスケール 4K出力 #upscale#image-to-image

倍率または目標解像度モードに対応し、JPG、PNG、WebPを出力する汎用画像アップスケーラー

ByteDance · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

処理用に提供する画像。

upscale_mode デフォルト factor

アップスケールモード。`target` は要求された解像度から倍率を算出し、`factor` は指定された倍率を直接適用します。

target_resolution デフォルト 1080p

`upscale_mode` を `target` に設定したアップスケール用の目的の出力解像度。

デフォルト 2

`upscale_mode` が `factor` の場合に寸法へ適用する倍率。

詳細設定 output_format · noise_scale · seed
output_format デフォルト jpg

生成される画像のファイル形式。

デフォルト 0.1

生成中に適用するノイズスケール。

生成時に使用したランダムシード。

POST /run/seedvr/upscale/image?wait=20 見積もり → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/seedvr/upscale/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

SeedVR2 · Imageについて

`image_url`から単一画像をアップスケールします。倍率モードでは`upscale_factor`により、サイズを1〜10倍に拡大します。目標モードの`target_resolution`には720p、1080p、1440p、2160pを指定できます。`noise_scale`(0〜1)と`seed`で結果を調整します。`output_format`の既定値はjpgで、pngとwebpも使用できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
処理用に提供する画像。
upscale_mode任意
型enum
デフォルトfactor
targetfactor
アップスケールモード。`target` は要求された解像度から倍率を算出し、`factor` は指定された倍率を直接適用します。
upscale_factor任意
型number
デフォルト2
1 – 10
`upscale_mode` が `factor` の場合に寸法へ適用する倍率。
target_resolution任意
型enum
デフォルト1080p
720p1080p1440p2160p
`upscale_mode` を `target` に設定したアップスケール用の目的の出力解像度。
seed任意
型integer | null
生成時に使用したランダムシード。
noise_scale任意
型number
デフォルト0.1
0 – 1
生成中に適用するノイズスケール。
output_format任意
型enum
デフォルトjpg
pngjpgwebp
生成される画像のファイル形式。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "seedvr/upscale/image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}アップスケールを適用した処理済み画像ファイル。
seed
integer生成時に使用したランダムシード。

その他のモデル: アップスケール

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/seedvr/upscale/image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt